Skip to main content
GET
/
experiments
cURL
curl https://api.growthbook.io/api/v1/experiments \
  -u secret_abc123DEF456:
{
  "experiments": [
    {
      "id": "<string>",
      "trackingKey": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "type": "standard",
      "project": "<string>",
      "hypothesis": "<string>",
      "description": "<string>",
      "tags": [
        "<string>"
      ],
      "owner": "<unknown>",
      "archived": true,
      "status": "<string>",
      "autoRefresh": true,
      "hashAttribute": "<string>",
      "hashVersion": 1,
      "variations": [
        {
          "variationId": "<string>",
          "key": "<string>",
          "name": "<string>",
          "description": "<string>",
          "screenshots": [
            "<string>"
          ]
        }
      ],
      "phases": [
        {
          "name": "<string>",
          "dateStarted": "<string>",
          "dateEnded": "<string>",
          "reasonForStopping": "<string>",
          "seed": "<string>",
          "coverage": 123,
          "trafficSplit": [
            {
              "variationId": "<string>",
              "weight": 123
            }
          ],
          "targetingCondition": "<string>",
          "namespace": {
            "namespaceId": "<string>",
            "range": "<array>"
          },
          "prerequisites": [
            {
              "id": "<string>",
              "condition": "<string>"
            }
          ],
          "savedGroupTargeting": [
            {
              "matchType": "all",
              "savedGroups": [
                "<string>"
              ]
            }
          ]
        }
      ],
      "settings": {
        "datasourceId": "<string>",
        "assignmentQueryId": "<string>",
        "experimentId": "<string>",
        "segmentId": "<string>",
        "queryFilter": "<string>",
        "inProgressConversions": "include",
        "attributionModel": "firstExposure",
        "statsEngine": "bayesian",
        "goals": [
          {
            "metricId": "<string>",
            "overrides": {
              "delayHours": 123,
              "windowHours": 123,
              "window": "conversion",
              "winRiskThreshold": 123,
              "loseRiskThreshold": 123,
              "properPriorOverride": true,
              "properPriorEnabled": true,
              "properPriorMean": 123,
              "properPriorStdDev": 123,
              "regressionAdjustmentOverride": true,
              "regressionAdjustmentEnabled": true,
              "regressionAdjustmentDays": 123
            }
          }
        ],
        "secondaryMetrics": [
          {
            "metricId": "<string>",
            "overrides": {
              "delayHours": 123,
              "windowHours": 123,
              "window": "conversion",
              "winRiskThreshold": 123,
              "loseRiskThreshold": 123,
              "properPriorOverride": true,
              "properPriorEnabled": true,
              "properPriorMean": 123,
              "properPriorStdDev": 123,
              "regressionAdjustmentOverride": true,
              "regressionAdjustmentEnabled": true,
              "regressionAdjustmentDays": 123
            }
          }
        ],
        "guardrails": [
          {
            "metricId": "<string>",
            "overrides": {
              "delayHours": 123,
              "windowHours": 123,
              "window": "conversion",
              "winRiskThreshold": 123,
              "loseRiskThreshold": 123,
              "properPriorOverride": true,
              "properPriorEnabled": true,
              "properPriorMean": 123,
              "properPriorStdDev": 123,
              "regressionAdjustmentOverride": true,
              "regressionAdjustmentEnabled": true,
              "regressionAdjustmentDays": 123
            }
          }
        ],
        "lookbackOverride": {
          "type": "date",
          "value": 123,
          "valueUnit": "minutes"
        },
        "regressionAdjustmentEnabled": true,
        "sequentialTestingEnabled": true,
        "sequentialTestingTuningParameter": 123,
        "postStratificationEnabled": true,
        "decisionFrameworkSettings": {
          "decisionCriteriaId": "<string>",
          "decisionFrameworkMetricOverrides": [
            {
              "id": "<string>",
              "targetMDE": 123
            }
          ]
        },
        "metricOverrides": [
          {
            "id": "<string>",
            "windowType": "conversion",
            "windowHours": 123,
            "delayHours": 123,
            "properPriorOverride": true,
            "properPriorEnabled": true,
            "properPriorMean": 123,
            "properPriorStdDev": 123,
            "regressionAdjustmentOverride": true,
            "regressionAdjustmentEnabled": true,
            "regressionAdjustmentDays": 123
          }
        ],
        "activationMetric": {
          "metricId": "<string>",
          "overrides": {
            "delayHours": 123,
            "windowHours": 123,
            "window": "conversion",
            "winRiskThreshold": 123,
            "loseRiskThreshold": 123,
            "properPriorOverride": true,
            "properPriorEnabled": true,
            "properPriorMean": 123,
            "properPriorStdDev": 123,
            "regressionAdjustmentOverride": true,
            "regressionAdjustmentEnabled": true,
            "regressionAdjustmentDays": 123
          }
        }
      },
      "fallbackAttribute": "<string>",
      "disableStickyBucketing": true,
      "bucketVersion": 123,
      "minBucketVersion": 123,
      "resultSummary": {
        "status": "<string>",
        "winner": "<string>",
        "conclusions": "<string>",
        "releasedVariationId": "<string>",
        "excludeFromPayload": true
      },
      "shareLevel": "public",
      "publicUrl": "<string>",
      "banditScheduleValue": 123,
      "banditScheduleUnit": "days",
      "banditBurnInValue": 123,
      "banditBurnInUnit": "days",
      "banditConversionWindowValue": 123,
      "banditConversionWindowUnit": "days",
      "linkedFeatures": [
        "<string>"
      ],
      "hasVisualChangesets": true,
      "hasURLRedirects": true,
      "customFields": {},
      "customMetricSlices": [
        {
          "slices": [
            {
              "column": "<string>",
              "levels": [
                "<string>"
              ]
            }
          ]
        }
      ],
      "defaultDashboardId": "<string>",
      "templateId": "<string>"
    }
  ],
  "limit": 123,
  "offset": 123,
  "count": 123,
  "total": 123,
  "hasMore": true,
  "nextOffset": 123
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

limit
integer
default:10

The number of items to return

offset
integer
default:0

How many items to skip (use in conjunction with limit for pagination)

projectId
string

Filter by project id

datasourceId
string

Filter by Data Source

experimentId
string

Filter the returned list by the experiment tracking key (id)

Response

200 - application/json

Success

experiments
object[]
required
limit
integer
required
offset
integer
required
count
integer
required
total
integer
required
hasMore
boolean
required
nextOffset
integer | null
required